
#!/bin/bash
#
# Ohm4.sh: Cálculo de Voltaje, Corriente y Resistencia (Ley de Ohm)
# Versión gettext, Yurfader21
# Programa totalmente Libre
#


export TEXTDOMAIN="Ohm"

Error_2=$(gettext "Error 02: Por favor ingrese valores numéricos")
It_is1=$(gettext "El Voltaje es:")
It_is2=$(gettext "La Corriente es:")
It_is3=$(gettext "La resistencia es:")

clear
salir=n
while [ "$salir" != "s" ];
do

echo
echo "$(gettext "Esta es una calculadora para la Ley de Ohm")"
echo
echo "$(gettext "1 Para calcular el Voltaje")"
echo "$(gettext "2 Para calcular la Corriente")"
echo "$(gettext "3 Para calcular la Resistencia")"
echo "$(gettext "4 Créditos")"
echo "$(gettext "s Para Salir")"
echo
printf "$(gettext "Ingrese su elección: 1, 2, 3, 4, ó s: ")"
read Seleccion

   case "$Seleccion" in

   1)
   clear
   printf "$(gettext "Ingrese la Corriente en amperes: ")"
   read Corriente
   printf "$(gettext "Ingrese la Resistencia en Ohms: ")"
   read Resistencia
   
      if [ $Corriente -eq $Corriente 2> /dev/null ] && [ $Resistencia -eq $Resistencia 2> /dev/null ] && [ -n "$Corriente" ] && [ -n "$Resistencia" ]; then
      echo
      printf "$It_is1: "$(echo "scale=3;$Corriente*$Resistencia" | bc)" V.\n"
      else
      echo
      printf "$Error_2"
      echo
      fi   
   ;;

   2)
   clear
   printf "$(gettext "Ingrese el Voltaje en Voltios: ")"
   read Voltaje
   printf "$(gettext "Ingrese la Resistencia en Ohms: ")"
   read Resistencia

      if [ $Voltaje -eq $Voltaje 2> /dev/null ] && [ $Resistencia -eq $Resistencia 2> /dev/null ] && [ -n "$Voltaje" ] && [ -n "$Resistencia" ]; then
      echo
      printf "$It_is2: "$(echo "scale=3;$Voltaje/$Resistencia" | bc)" Amp.\n"
      else
      echo
      printf "$Error_2"
      echo
      fi   
   ;;

   3)
   clear
   printf "$(gettext "Ingrese el Voltaje en Voltios: ")"
   read Voltaje
   printf "$(gettext "Ingrese la Corriente en Amperes: ")"
   read Corriente

      if [ $Voltaje -eq $Voltaje 2> /dev/null ] && [ $Corriente -eq $Corriente 2> /dev/null ] && [ -n "$Voltaje" ] && [ -n "$Corriente" ]; then
      echo
      printf "$It_is3: "$(echo "scale=3;$Voltaje/$Corriente" | bc)" Ohm\n"
      else
      echo
      printf "$Error_2"
      echo
      fi   
   ;;
   
   4)
   echo "*****************************************************"
   echo "Ohm.sh: Calculadora simple de la ley de Ohm"
   echo "Versión  4, Yurfader21 copyleft 2010"
    echo "Programa totalmente libre"
   echo "*****************************************************"
   
   ;;

   s) salir=s
   
   ;;

   *) clear
       echo "$(gettext "Error 01: Por favor seleccione 1, 2, 3, 4, ó s ")"
   ;;

   esac

done

exit 0 
